# Module: strings/format

## strings/format

#### require("strings/format")(format, args) → {string}

  Format a string quickly and easily using .net style format strings

  ##### Parameters:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `format` | string |  | A string format like "Hello {0}, now take off your {1}!"
  `args` | ? | <repeatable> | One argument per `{}` in the string, positionally replaced

  Source:
    - strings/format.js, line 24

  ##### Returns:

  Type
    string

  ##### Examples

      var strings = require("papyrus/strings");
      var s = strings.format("Hello {0}", "Madame Vastra");
      // s = "Hello Madame Vastra"

      <span>
          <%= strings.format("Hello {0}", "Madame Vastra") %>
      </span>

String helper methods

Source:
  - strings/format.js, line 2